Package org.apache.ignite.internal.processors.platform.dotnet

## Class PlatformDotNetConfigurationClosure

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractConfigurationClosure
  - - org.apache.ignite.internal.processors.platform.dotnet.PlatformDotNetConfigurationClosure

All Implemented Interfaces:
  `Serializable`, `IgniteClosure<IgniteConfiguration,​IgniteConfiguration>`

    public class PlatformDotNetConfigurationClosure
    extends PlatformAbstractConfigurationClosure

Closure to apply dot net configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractConfigurationClosure

`gate`

### Constructor Summary

Constructors
`PlatformDotNetConfigurationClosure​(long envPtr, boolean useLogger)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `apply0​(IgniteConfiguration igniteCfg)` Internal apply routine.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractConfigurationClosure

`apply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetConfigurationClosure

    public PlatformDotNetConfigurationClosure​(long envPtr,
                                              boolean useLogger)

Constructor.

Parameters:
  `envPtr` - Environment pointer.

### Method Detail

#### apply0

    protected void apply0​(IgniteConfiguration igniteCfg)

Internal apply routine.

Specified by:
  `apply0` in class `PlatformAbstractConfigurationClosure`
Parameters:
  `igniteCfg` - Ignite configuration.